import request from '@/utils/request'

// 查询基站列表
export function listMallBaseStation(query) {
  return request({
    url: '/mall/mallBaseStation/list',
    method: 'get',
    params: query
  })
}

// 查询基站详细
export function getMallBaseStation(baseStationId) {
  return request({
    url: '/mall/mallBaseStation/' + baseStationId,
    method: 'get'
  })
}

// 新增基站
export function addMallBaseStation(data) {
  return request({
    url: '/mall/mallBaseStation',
    method: 'post',
    data: data
  })
}

// 修改基站
export function updateMallBaseStation(data) {
  return request({
    url: '/mall/mallBaseStation',
    method: 'put',
    data: data
  })
}

// 删除基站
export function delMallBaseStation(baseStationId) {
  return request({
    url: '/mall/mallBaseStation/' + baseStationId,
    method: 'delete'
  })
}

// 查询基站
export function getBaseStation() {
  return request({
    url: '/mall/mallBaseStation/getBaseStation',
    method: 'get',
  })
}
